Register namespace with searching path

- « Yaf_Loader::registerLocalNamespace

- Yaf_Loader::setLibraryPath »

- PHP Manual
- Yaf_Loader
- Register namespace with searching path

# Yaf_Loader::registerNamespace

(Yaf >=3.2.0)

Yaf_Loader::registerNamespace — Register namespace with searching path

### Description

public Yaf_Loader::registerNamespace(string|array `$namespaces`, string `$path` = ?): bool

Register a namespace with searching path, Yaf_Loader searchs classes under this namespace in path, the one is also could be configureded via application.library.directory.namespace(in application.ini);

> Note:

> Yaf still think underline as folder separator.

### Parameters

`namespace`

  a string of namespace, or a array of namespaces with paths.

`path`

  a string of path, it is better to use abosolute path here for performance

### Return Values

bool

### Examples

Example #1 Yaf_Loader::registerNamespace()example

    <?php
    $loader = Yaf_Loader::getInstance();
    $loader->registerNamespace("\Vendor\PHP", "/var/lib/php");
    $loader->registerNamespace(array(
         "\Vendor\ASP" => "/var/lib/asp",
         "\Vendor\JSP" => "/usr/lib/vendor/",
    ));

    $loader->autoload("\Vendor\PHP\Dummy");   //load '/var/lib/php/Dummy.php'
    $loader->autoload("\Vendor\PHP\Foo_Bar"); //load '/var/lib/php/Foo/Bar.php'
    $loader->autoload("\Vendor\JSP\Dummy");   //load '/usr/lib/vendor/Dummy.php'

    ?>